% This program specifies the parameters of the underlying two shock RBC model
% modified: KM 22/06/2005

function [PAR_alpha, PAR_beta, PAR_delta, PAR_psi, PAR_gamma, PAR_g, PAR_mu,PAR_Lbar, PAR_taulbar, PAR_taux, PAR_rho, PAR_sigmatau, PAR_sigmaz, PAR_sigma]=parameters;
global model_num;

PAR_alpha=0.33;
PAR_beta=0.98^0.25;
PAR_delta=1-(1-0.06)^0.25;
PAR_gamma=1.01^0.25-1;
PAR_g=0;
PAR_mu=1.016^0.25-1;
PAR_Lbar=1;
PAR_taulbar=0.242;
PAR_taux=0.3;

PAR_mu=0.00516;
PAR_taulbar=0.243;
PAR_taux=0.3;


if model_num==1; 

% Benchmark KP
%----------------
% KP refers to the Kydland-Prescott parametrization 
% considered by Christiano et al.

    PAR_sigma=1;
    PAR_psi=2.5;

    PAR_rho=0.993;
    PAR_sigmatau=0.0066;
    PAR_sigmaz=0.011738;
    
elseif model_num==2; 
 % KP w Frisch E. = 0
%----------------
    PAR_sigma=0;
    PAR_psi=3.1572;
    
    PAR_rho=0.993;
    PAR_sigmatau=0.0066;
    PAR_sigmaz=0.011738;

elseif model_num==3;
 % KP w Frisch E. = 0.63
%----------------
    PAR_sigma=6;
    PAR_psi=0.7783;
    
    PAR_rho=0.993;
    PAR_sigmatau=0.0066;
    PAR_sigmaz=0.011738;

elseif model_num==4;
% CKM benchmark model

    PAR_sigma=1;
    PAR_psi=2.5;

    PAR_rho=0.94;
    PAR_sigmatau=0.008;
    PAR_sigmaz=0.00568;

elseif model_num==5;
% CKM w Frisch E. = 0;

    PAR_sigma=0;
    PAR_psi=3.1572;
    
    PAR_rho=0.94;
    PAR_sigmatau=0.008;
    PAR_sigmaz=0.00568;

elseif model_num==6;
% CKM w Frisch E. = 0.63

    PAR_sigma=6;
    PAR_psi=0.7783;

    PAR_rho=0.94;
    PAR_sigmatau=0.008;
    PAR_sigmaz=0.00568;

elseif model_num==7;
% CKM w sigma_l/2

    PAR_sigma=1;
    PAR_psi=2.5;

    PAR_rho=0.94;
    PAR_sigmatau=0.008/2;
    PAR_sigmaz=0.00568;

elseif model_num==8;
% CKM w sigma_l/3

    PAR_sigma=1;
    PAR_psi=2.5;

    PAR_rho=0.94;
    PAR_sigmatau=0.008/3;
    PAR_sigmaz=0.00568;

end;





